package router

import (
	"fonchain-fiee/pkg/middleware"
	"fonchain-fiee/pkg/service"
	"fonchain-fiee/pkg/service/bundle"

	"github.com/gin-gonic/gin"
)

func ValueAddBundleRouter(r *gin.RouterGroup) {
	valueAddBundleRoute := r.Group("valueAdd-bundle")
	valueAddBundleRoute.Use(middleware.CheckLogin(service.AccountProvider))

	// 增值套餐
	{
		bundleClientRoute := valueAddBundleRoute.Group("system")
		{
			bundleClientRoute.POST("create", bundle.CreateValueAddBundle)
			bundleClientRoute.POST("list", bundle.ValueAddBundleList)
			bundleClientRoute.POST("detail", bundle.ValueAddBundleDetail)
		}

	}

}
